# Class Thelia\Model\om\BaseLangQuery | thelia

# Class BaseLangQuery

Base class that represents a query for the 'lang' table.

  ModelCriteria
  Thelia\Model\om\BaseLangQuery

#### Direct known subclasses

Thelia\Model\LangQuery
Abstract
Namespace: Thelia\Model\om
Package: propel\generator\Thelia\Model\om
Located at core/lib/Thelia/Model/om/BaseLangQuery.php

Methods summary

`public`

# `__construct( string $dbName = 'thelia', string $modelName = 'Thelia\\Model\\Lang', string $modelAlias = null )`

Initializes internal state of BaseLangQuery object.

Initializes internal state of BaseLangQuery object.

#### Parameters

$dbName
  `string`
  $dbName The dabase name
$modelName
  `string`
  $modelName The phpName of a model, e.g. 'Book'
$modelAlias
  `string`
  $modelAlias The alias for the model in this query, e.g. 'b'

`public static `Thelia\Model\LangQuery``

# `create( string $modelAlias = null, `Thelia\Model\LangQuery`|Criteria $criteria = null )`

Returns a new LangQuery object.

Returns a new LangQuery object.

#### Parameters

$modelAlias
  `string`
  $modelAlias The alias of a model in the query
$criteria
  ``Thelia\Model\LangQuery`|Criteria`
  $criteria Optional Criteria to build the query from

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\Lang`|`Thelia\Model\Lang[]`|mixed`

# `findPk( mixed $key, PropelPDO $con = null )`

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

Find object by primary key. Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

    $obj  = $c->findPk(12, $con);

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

``Thelia\Model\Lang`|`Thelia\Model\Lang[]`|mixed`
the result, formatted by the current formatter

`protected `Thelia\Model\Lang``

# `findPkSimple( mixed $key, PropelPDO $con )`

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

Find object by primary key using raw SQL to go fast. Bypass doSelect() and the object formatter by using generated code.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Lang``
A model object, or null if the key is not found

#### Throws

`PropelException`

`protected `Thelia\Model\Lang`|`Thelia\Model\Lang[]`|mixed`

# `findPkComplex( mixed $key, PropelPDO $con )`

Find object by primary key.

Find object by primary key.

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query
$con
  `PropelPDO`
  $con A connection object

#### Returns

``Thelia\Model\Lang`|`Thelia\Model\Lang[]`|mixed`
the result, formatted by the current formatter

`public PropelObjectCollection|`Thelia\Model\Lang[]`|mixed`

# `findPks( array $keys, PropelPDO $con = null )`

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

Find objects by primary key

    $objs = $c->findPks(array(12, 56, 832), $con);

#### Parameters

$keys
  `array`
  $keys Primary keys to use for the query
$con
  `PropelPDO`
  $con an optional connection object

#### Returns

`PropelObjectCollection|`Thelia\Model\Lang[]`|mixed`
the list of results, formatted by the current formatter

`public `Thelia\Model\LangQuery``

# `filterByPrimaryKey( mixed $key )`

Filter the query by primary key

Filter the query by primary key

#### Parameters

$key
  `mixed`
  $key Primary key to use for the query

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByPrimaryKeys( array $keys )`

Filter the query by a list of primary keys

Filter the query by a list of primary keys

#### Parameters

$keys
  `array`
  $keys The list of primary key to use for the query

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterById( mixed $id = null, string $comparison = null )`

Filter the query on the id column

Filter the query on the id column

Example usage:

    $query->filterById(1234); // WHERE id = 1234
    $query->filterById(array(12, 34)); // WHERE id IN (12, 34)
    $query->filterById(array('min' => 12)); // WHERE id > 12

#### Parameters

$id
  `mixed`
  $id The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByTitle( string $title = null, string $comparison = null )`

Filter the query on the title column

Filter the query on the title column

Example usage:

    $query->filterByTitle('fooValue');   // WHERE title = 'fooValue'
    $query->filterByTitle('%fooValue%'); // WHERE title LIKE '%fooValue%'

#### Parameters

$title
  `string`
  $title The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByCode( string $code = null, string $comparison = null )`

Filter the query on the code column

Filter the query on the code column

Example usage:

    $query->filterByCode('fooValue');   // WHERE code = 'fooValue'
    $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'

#### Parameters

$code
  `string`
  $code The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByLocale( string $locale = null, string $comparison = null )`

Filter the query on the locale column

Filter the query on the locale column

Example usage:

    $query->filterByLocale('fooValue');   // WHERE locale = 'fooValue'
    $query->filterByLocale('%fooValue%'); // WHERE locale LIKE '%fooValue%'

#### Parameters

$locale
  `string`
  $locale The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByUrl( string $url = null, string $comparison = null )`

Filter the query on the url column

Filter the query on the url column

Example usage:

    $query->filterByUrl('fooValue');   // WHERE url = 'fooValue'
    $query->filterByUrl('%fooValue%'); // WHERE url LIKE '%fooValue%'

#### Parameters

$url
  `string`
  $url The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByByDefault( mixed $byDefault = null, string $comparison = null )`

Filter the query on the by_default column

Filter the query on the by_default column

Example usage:

    $query->filterByByDefault(1234); // WHERE by_default = 1234
    $query->filterByByDefault(array(12, 34)); // WHERE by_default IN (12, 34)
    $query->filterByByDefault(array('min' => 12)); // WHERE by_default > 12

#### Parameters

$byDefault
  `mixed`
  $byDefault The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByCreatedAt( mixed $createdAt = null, string $comparison = null )`

Filter the query on the created_at column

Filter the query on the created_at column

Example usage:

    $query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14'
    $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'

#### Parameters

$createdAt
  `mixed`
  $createdAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `filterByUpdatedAt( mixed $updatedAt = null, string $comparison = null )`

Filter the query on the updated_at column

Filter the query on the updated_at column

Example usage:

    $query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14'
    $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'

#### Parameters

$updatedAt
  `mixed`
  $updatedAt The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
$comparison
  `string`
  $comparison Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `prune( `Thelia\Model\Lang` $lang = null )`

Exclude object from result

Exclude object from result

#### Parameters

$lang
  ``Thelia\Model\Lang``
  $lang Object to remove from the list of results

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `recentlyUpdated( integer $nbDays = 7 )`

Filter by the latest updated

Filter by the latest updated

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of the latest update in days

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `lastUpdatedFirst( )`

Order by update date desc

Order by update date desc

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `firstUpdatedFirst( )`

Order by update date asc

Order by update date asc

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `recentlyCreated( integer $nbDays = 7 )`

Filter by the latest created

Filter by the latest created

#### Parameters

$nbDays
  `integer`
  $nbDays Maximum age of in days

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `lastCreatedFirst( )`

Order by create date desc

Order by create date desc

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

`public `Thelia\Model\LangQuery``

# `firstCreatedFirst( )`

Order by create date asc

Order by create date asc

#### Returns

``Thelia\Model\LangQuery``
The current query, for fluid interface

Magic methods summary

`public `Thelia\Model\LangQuery``

# `orderById( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the id column

Order by the id column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByTitle( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the title column

Order by the title column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByCode( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the code column

Order by the code column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByLocale( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the locale column

Order by the locale column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByUrl( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the url column

Order by the url column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByByDefault( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the by_default column

Order by the by_default column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByCreatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the created_at column

Order by the created_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `orderByUpdatedAt( mixed $order = Thelia\Model\om\Criteria::ASC )`

Order by the updated_at column

Order by the updated_at column

#### Parameters

$order
  `mixed`
  $order

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupById( )`

Group by the id column

Group by the id column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByTitle( )`

Group by the title column

Group by the title column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByCode( )`

Group by the code column

Group by the code column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByLocale( )`

Group by the locale column

Group by the locale column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByUrl( )`

Group by the url column

Group by the url column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByByDefault( )`

Group by the by_default column

Group by the by_default column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByCreatedAt( )`

Group by the created_at column

Group by the created_at column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `groupByUpdatedAt( )`

Group by the updated_at column

Group by the updated_at column

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `leftJoin( mixed $relation = )`

Adds a LEFT JOIN clause to the query

Adds a LEFT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `rightJoin( mixed $relation = )`

Adds a RIGHT JOIN clause to the query

Adds a RIGHT JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\LangQuery``

# `innerJoin( mixed $relation = )`

Adds a INNER JOIN clause to the query

Adds a INNER JOIN clause to the query

#### Parameters

$relation
  `mixed`
  $relation

#### Returns

``Thelia\Model\LangQuery``

`public `Thelia\Model\Lang``

# `findOne( PropelPDO $con = null )`

Return the first Lang matching the query

Return the first Lang matching the query

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneOrCreate( PropelPDO $con = null )`

Return the first Lang matching the query, or a new Lang object populated from the query conditions when no match is found

Return the first Lang matching the query, or a new Lang object populated from the query conditions when no match is found

#### Parameters

$con
  `PropelPDO`
  $con

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneById( integer $id = )`

Return the first Lang filtered by the id column

Return the first Lang filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByTitle( string $title = )`

Return the first Lang filtered by the title column

Return the first Lang filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByCode( string $code = )`

Return the first Lang filtered by the code column

Return the first Lang filtered by the code column

#### Parameters

$code
  `string`
  $code

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByLocale( string $locale = )`

Return the first Lang filtered by the locale column

Return the first Lang filtered by the locale column

#### Parameters

$locale
  `string`
  $locale

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByUrl( string $url = )`

Return the first Lang filtered by the url column

Return the first Lang filtered by the url column

#### Parameters

$url
  `string`
  $url

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByByDefault( integer $by_default = )`

Return the first Lang filtered by the by_default column

Return the first Lang filtered by the by_default column

#### Parameters

$by_default
  `integer`
  $by_default

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByCreatedAt( string $created_at = )`

Return the first Lang filtered by the created_at column

Return the first Lang filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

``Thelia\Model\Lang``

`public `Thelia\Model\Lang``

# `findOneByUpdatedAt( string $updated_at = )`

Return the first Lang filtered by the updated_at column

Return the first Lang filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

``Thelia\Model\Lang``

`public array`

# `findById( integer $id = )`

Return Lang objects filtered by the id column

Return Lang objects filtered by the id column

#### Parameters

$id
  `integer`
  $id

#### Returns

`array`

`public array`

# `findByTitle( string $title = )`

Return Lang objects filtered by the title column

Return Lang objects filtered by the title column

#### Parameters

$title
  `string`
  $title

#### Returns

`array`

`public array`

# `findByCode( string $code = )`

Return Lang objects filtered by the code column

Return Lang objects filtered by the code column

#### Parameters

$code
  `string`
  $code

#### Returns

`array`

`public array`

# `findByLocale( string $locale = )`

Return Lang objects filtered by the locale column

Return Lang objects filtered by the locale column

#### Parameters

$locale
  `string`
  $locale

#### Returns

`array`

`public array`

# `findByUrl( string $url = )`

Return Lang objects filtered by the url column

Return Lang objects filtered by the url column

#### Parameters

$url
  `string`
  $url

#### Returns

`array`

`public array`

# `findByByDefault( integer $by_default = )`

Return Lang objects filtered by the by_default column

Return Lang objects filtered by the by_default column

#### Parameters

$by_default
  `integer`
  $by_default

#### Returns

`array`

`public array`

# `findByCreatedAt( string $created_at = )`

Return Lang objects filtered by the created_at column

Return Lang objects filtered by the created_at column

#### Parameters

$created_at
  `string`
  $created_at

#### Returns

`array`

`public array`

# `findByUpdatedAt( string $updated_at = )`

Return Lang objects filtered by the updated_at column

Return Lang objects filtered by the updated_at column

#### Parameters

$updated_at
  `string`
  $updated_at

#### Returns

`array`